Bug 652796 - ruby bindings not installed by 'make install', hence omitted from the binary distribution
ruby bindings not installed by 'make install', hence omitted from the binary ...
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-12 14:28 EST by Richard W.M. Jones
Modified: 2011-07-14 15:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 15:22:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-11-12 14:28:55 EST
Description of problem:

Ruby bindings are not installed when you run 'make install'.  In
fact our specfile contains a workaround for this already:

# Install ruby bindings by hand.
mkdir -p $RPM_BUILD_ROOT%{ruby_sitelib}
mkdir -p $RPM_BUILD_ROOT%{ruby_sitearch}
install -p -m0644 ruby/lib/guestfs.rb $RPM_BUILD_ROOT%{ruby_sitelib}
install -p -m0755 ruby/ext/guestfs/_guestfs.so $RPM_BUILD_ROOT%{ruby_sitearch}

As a consequence of 'make install' not working, the ruby bindings
are also omitted from the binary distributions here:

http://libguestfs.org/download/binaries/

Version-Release number of selected component (if applicable):

libguestfs 1.7.4

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard W.M. Jones 2010-11-13 03:29:03 EST
I think we've fixed this one upstream in 1.7.5:
http://git.annexia.org/?p=libguestfs.git;a=commitdiff;h=aec3091fa9c65e2f84d0bf9cdd520e597957eca9

Note You need to log in before you can comment on or make changes to this bug.